<template>
	<view class="container main">
		<view class="one">
			<rich-text :nodes="formatRichText(config.brief)"></rich-text>
		</view>
	</view>
</template>

<script>
	export default {
		components: {},
		data() {
			return {
				config: {},
			}
		},
		onLoad: async function(e) {
			const that = this;
			that.searchConfig();
		},
		methods: {
			searchConfig() {
				const that = this;
				try {
					const res = uni.getStorageSync('config');
					if (res) that.$set(that, `config`, res);
				} catch (e) {}
			},
			// 处理富文本
			formatRichText(html) {
				if (html) {
					// 富文本内容格式化
					return html && html.replace(/<img[^>]*>/gi, function(match, capture) {
						// 查找所有的 img 元素
						return match.replace(/style=".*"/gi, '').replace(/style='.*'/gi,
							'')
						// 删除找到的所有 img 元素中的 style 属性
					}).replace(/\<img/gi, '<img style="width:100%;"') // 对 img 元素增加 style 属性，并设置宽度为 100%
				}
			},
		}
	}
</script>

<style lang="scss" scoped>
	.main {
		.one {
			padding: 2vw;

			.rich-img {
				width: 100% !important;
				display: block;
			}
		}
	}
</style>